Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el
Class ValueExpressionLiteral

    java.lang.Object
      javax.el.Expression
          javax.el.ValueExpression
              org.apache.el.ValueExpressionLiteral

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public final class ValueExpressionLiteral

extends javax.el.ValueExpression
implements java.io.Externalizable

See Also:
  Serialized Form

Constructor Summary
`ValueExpressionLiteral()`
`ValueExpressionLiteral(java.lang.Object value, java.lang.Class expectedType)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`boolean` | `equals(ValueExpressionLiteral ve)`
`java.lang.Class` | `getExpectedType()`
`java.lang.String` | `getExpressionString()`
`java.lang.Class` | `getType(javax.el.ELContext context)`
`java.lang.Object` | `getValue(javax.el.ELContext context)`
`int` | `hashCode()`
`boolean` | `isLiteralText()`
`boolean` | `isReadOnly(javax.el.ELContext context)`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `setValue(javax.el.ELContext context, java.lang.Object value)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueExpressionLiteral

    public ValueExpressionLiteral()

### ValueExpressionLiteral

    public ValueExpressionLiteral(java.lang.Object value,
                                  java.lang.Class expectedType)

Method Detail

### getValue

    public java.lang.Object getValue(javax.el.ELContext context)

  Specified by:
    `getValue` in class `javax.el.ValueExpression`

### setValue

    public void setValue(javax.el.ELContext context,
                         java.lang.Object value)

  Specified by:
    `setValue` in class `javax.el.ValueExpression`

### isReadOnly

    public boolean isReadOnly(javax.el.ELContext context)

  Specified by:
    `isReadOnly` in class `javax.el.ValueExpression`

### getType

    public java.lang.Class getType(javax.el.ELContext context)

  Specified by:
    `getType` in class `javax.el.ValueExpression`

### getExpectedType

    public java.lang.Class getExpectedType()

  Specified by:
    `getExpectedType` in class `javax.el.ValueExpression`

### getExpressionString

    public java.lang.String getExpressionString()

  Specified by:
    `getExpressionString` in class `javax.el.Expression`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `javax.el.Expression`

### equals

    public boolean equals(ValueExpressionLiteral ve)

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `javax.el.Expression`

### isLiteralText

    public boolean isLiteralText()

  Specified by:
    `isLiteralText` in class `javax.el.Expression`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.